Summary:	A versatile deduplicating backup tool
Summary(pl.UTF-8):	Uniwersalne narzędzie do deduplikacji kopii zapasowych
Name:		zbackup
Version:	1.4.4
Release:	3
License:	GPL v2+
Group:		Applications/Archiving
Source0:	https://github.com/zbackup/zbackup/archive/%{version}.tar.gz
# Source0-md5:	0753ca5d61533f951d6ebb6f087efa0b
URL:		http://zbackup.org/
BuildRequires:	cmake >= 2.8.2
BuildRequires:	lzma-devel
BuildRequires:	openssl-devel
BuildRequires:	protobuf-devel
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
zbackup is a globally-deduplicating backup tool, based on the ideas
found in rsync. Feed a large .tar into it, and it will store duplicate
regions of it only once, then compress and optionally encrypt the
result. Feed another .tar file, and it will also re-use any data found
in any previous backups. This way only new changes are stored, and as
long as the files are not very different, the amount of storage
required is very low.

%description -l pl.UTF-8
zbackup jest narzędziem służącym do archiwizacji danyc, bazującym na
rsync i wykorzystujące deduplikację

%prep
%setup -q

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install -C build \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%changelog
* Tue Dec 12 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/zbackup.git;a=log;h=master

* Tue Dec 12 2017 Jan Rękorajski <baggins@pld-linux.org> f87f2a4
- release 3 (by relup.sh)

* Mon Apr 17 2017 Jan Rękorajski <baggins@pld-linux.org> 5fc7b95
- rebuild with protobuf 3.2
- release 2 (by relup.sh)

* Tue Nov 17 2015 Andrzej Zawadzki <zawadaa@pld-linux.org> 2a4e988
- up to 1.4.4

* Tue Nov 17 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> fe85304
- release 2 (by relup.sh)

* Sat Feb 07 2015 Andrzej Zawadzki <zawadaa@pld-linux.org> b16c0d6
- up to 1.4.1

* Sun Nov 09 2014 Andrzej Zawadzki <zawadaa@pld-linux.org> 1b50819
- up to 1.3

* Mon Oct 27 2014 Jan Rękorajski <baggins@pld-linux.org> a005c95
- release 2 (by relup.sh)

* Tue Feb 25 2014 Elan Ruusamäe <glen@delfi.ee> ac53129
- use out of tree build

* Thu Oct 17 2013 Elan Ruusamäe <glen@delfi.ee> 4c9d5b7
- why start with epoch 1? fixed encoding errors; cleanup/adapter

* Thu Oct 17 2013 Andrzej Zawadzki <zawadaa@pld-linux.org> cc83ce3
- initial
zbackup is a globally-deduplicating backup tool, based on the ideas
found in rsync. Feed a large .tar into it, and it will store duplicate
regions of it only once, then compress and optionally encrypt the
result. Feed another .tar file, and it will also re-use any data found
in any previous backups. This way only new changes are stored, and as
long as the files are not very different, the amount of storage required
is very low. Any of the backup files stored previously can be read back
in full at any time. The program is format-agnostic, so you can feed
virtually any files to it (any types of archives, proprietary formats,
even raw disk images -- but see Caveats).

